# Source, Executable, Includes, Library Defines
SRC = main.c
LIBS = -lxmms
EXE = xmms-announcer

# Compiler, Linker Defines
CC = gcc
CFLAGS = -Wall -Werror `glib-config --cflags --libs`
LDFLAGS = ${CFLAGS} -o ${EXE} ${LIBS}

# File System Definitions
prefix = /usr/local
bindir = ${prefix}/bin

all : main.c
	${CC} ${SRC} ${LDFLAGS}

install :
	cp ${EXE} ${bindir}
